# datatrash

A file and text uploading service with configurable time limit

![Application screenshot](./screenshot.png)

## compiling

```sh
cargo build --release
```

or

```sh
docker build -t datatrash .
docker cp datatrash:/home/rust/.cargo/bin/datatrash datatrash
```

or, to just run it in docker

```sh
docker-compose up -d --build
```

## running & config

The static files directory needs to be next to the binary.

| environment variable | default value        |
| -------------------- | -------------------- |
| DATABASE_URL         |                      |
| DATABASE_USER        |                      |
| DATABASE_PASS        |                      |
| DATABASE_HOST        | localhost            |
| DATABASE_NAME        | datatrash            |
| FILES_DIR            | ./files              |
| UPLOAD_MAX_BYTES     | 8388608 (8MiB)       |
| BIND_ADDRESS         | 0.0.0.0:8000         |

The maximum filename length is 255
